# Handbok Terminal

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Stefan
Asserhäll

    stefan.asserhall@comhem.se

Översättare
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
&Kurt.Hindenburg;
&FDLNotice;
2012-05-27
2.9 (&kde; 4.9)

Terminal är &kde;:s terminalemulator.

KDE
konsole
kdebase
kommando
rad
terminal
kommandorad

## Introduktion

### Vad är en terminal?

Programmet Terminal är en X-terminalemulator, ofta kallat en terminal eller ett skal. Den ger dig en kommandorad i ett fönster med bara text.

Terminal kör normalt ett kommandoskal, ett program som kör kommandon du skriver in. Skalet som Terminal kör beror på dina kontoinställningar. Titta i operativsystemets dokumentation för att ta reda på vad ett skal är, hur man anpassar det och använder det.

### Historik

Terminal använder begreppet historik för att låta användare visa utmatning som visats tidigare. Normalt är historik aktiverat och inställt att spara 1000 rader utmatning förutom det som för närvarande visas på skärmen. När textrader rullar upp ovanför skärmens överkant, kan de granskas genom att flytta rullningslisten uppåt, genom att använda mushjulet, eller genom att använda tangenterna &Shift; Page Up (för att flytta bakåt en sida), &Shift; Page Down (för att flytta framåt en sida), &Shift; Upp (för att flytta upp en rad) och &Shift; Ner (för att flytta ner en rad).

### Profiler

Profiler låter användare snabbt och enkelt automatisera körning av vanliga kommandon. Exempel skulle kunna omfatta:

- Anslut till en annan dator med ssh

- Starta en IRC-session

- Använd tail för att bevaka en fil

Procedur för att skapa en ny profil:

1. Klicka på menyalternativet Inställningar Hantera profiler...

2. Klicka på knappen Ny profil...

3. Fyll i den första raden med ett namn. Det är namnet som visas i menyn, och som används som standardrubrik istället för Skal när du startar en session av den här typen.

4. Skriv in ett kommando precis som du normalt skulle göra om du öppnade ett nytt skal, och skulle utföra kommandot. I vårt första exempel ovan, skulle du kunna skriva ``ssh` administration`.

5. Ställ in sessionens utseende under dialogrutans övriga flikar. Du kan använda ett annat teckensnitt, färgschema och typ av $`TERM` och många andra inställningar för varje session.

6. Klicka på knappen Ok. Den nya sessionen är nu tillgänglig i dialogrutan Hantera profiler....

Alla profiler markerade med Visa i meny kommer att listas enligt namn i menyn Arkiv Ny flik. Ingen undermeny visas om bara förvald profil ska visas.

### Musknappar

Det här avsnittet beskriver användning av musknapparna med den vanliga inställningen av musknapparna för högerhänta. För vänsterhänta, byt vänster och höger i nedanstående text.

Vänster

  Ett klick på vänster knapp skickas som en händelse till programmet som körs i Terminal. Om ett program reagerar på musklick, indikerar Terminal detta genom att visa en pilmarkör. Om inte visas en I-formad (stapel) markör.

  Att hålla nere vänsterknappen och dra musen över skärmen med ett program som inte känner till musen, markerar ett område av texten. Medan man drar musen visas den markerade texten i omvända färger som synligt gensvar. Välj Kopiera i menyn Redigera för att kopiera den markerade texten till klippbordet för ytterligare användning i Terminal eller ett annat program. Den markerade texten kan också dras och släppas i program som kan hantera detta. Håll nere &Ctrl;-tangenten och dra den markerade texten till önskad plats.

  Normalt så infogas nyradstecken i slutet på varje rad som väljs. Det här är bäst för klipp och klistra av källkod, eller utmatning från ett enskilt kommando. För normal text är radbrytningar ofta inte viktiga. Man kan ibland föredra att texten är en sekvens av tecken som automatiskt formatteras om när de klipps in i ett annat program. För att välja med teckensekvensläge, håll nere &Ctrl;-tangenten och välj som vanligt.

  Att trycka på &Ctrl;- och &Alt;-tangenterna tillsammans med vänster musknapp väljer text i kolumner.

  Dubbelklicka med vänsterknappen för att markera ett ord. Trippelklicka för att markera en hel rad.

  Om den övre eller nedre kanten av textområdet rörs medan man markerar, rullar Terminal texten uppåt eller neråt, och visar till slut text i historikbufferten. Rullningen stannar när musen stannar.

  Efter musen släpps försöker Terminal behålla texten på klippbordet synlig genom att behålla det markerade området i omvända färger. Det markerade området återgår till normalläge så fort innehållet i klippbordet ändras, texten i det markerade området ändras eller vänster-knappen klickas.

  För att markera text i ett program som känner till musen (t.ex Midnight Commander), måste &Shift;-tangenten hållas nere när man klickar.

Mitten

  Att trycka på mittknappen klistrar in text som för närvarande finns på klippbordet. Att hålla nere &Ctrl;-tangenten när du trycker på mittknappen, klistrar in texten och lägger till en nyrad. Det är praktiskt för att snabbt utföra inklistrade kommandon, men det kan vara farligt, så använd det med försiktighet.

  Om du har en mus med bara två knappar, emuleras mittenknappen på en mus med tre knappar genom att trycka på både vänster- och högerknappen..

  Om du har ett hjul som musens mittenknapp, flyttar det Terminals rullningslist för program som inte hanterar musen.

Höger

  Alternativen visas i menyn när höger musknapp trycks ner: Kopiera, Klistra in, Öppna filhanterare, Ange kodning, Töm historik, Justera historik..., Visa menyrad, Byt profil, Anpassa nuvarande profil... och Stäng flik.

  I ett program som hanterar musen, tryck på &Shift;-tangenten tillsammans med höger musknapp för att visa den sammanhangsberoende menyn.

## Kommandoreferens

### Menyraden

Menyraden är längst upp i terminalfönstret. Om menyraden är dold, kan Visa menyrad nås genom att högerklicka i fönstret (under förutsättning att inte något fullskärmsprogram som vi, minicom, etc. kör i fönstret). Förvald snabbtangent anges efter varje menyalternativ.

#### Menyn Arkiv

&Ctrl;&Shift;N Arkiv Nytt fönster

  Öppnar ett nytt separat terminalfönster med förvald profil

&Ctrl;&Shift;T Arkiv Ny flik

  Öppnar en ny flik med förvald profil

  Terminal levereras med skalprofilen som förval. Alla nya profiler som användaren lägger till listas i undermenyerna. Det finns ingen undermeny om bara standardprofilen ska visas.

Arkiv Duplicera flik

  Försöker duplicera den nuvarande fliken som en ny flik

Arkiv Spara historik som...

  Sparar den nuvarande historiken som en text- eller HTML-fil

Arkiv Öppna filhanterare

  Öppnar &kde;:s filhanterare i arbetskatalogen. Normalt är det &dolphin;.

&Ctrl;&Shift;W Arkiv Stäng flik

  Stänger aktuell flik

&Ctrl;&Shift;Q Arkiv Avsluta

  Avslutar Terminal

  Terminal visar en bekräftelsedialogruta om det finns mer än en flik öppen. Dialogrutan kan inaktiveras genom att klicka i kryssrutan Fråga inte igen.

#### Menyn Redigera

&Ctrl;&Shift;C Redigera Kopiera

  Kopiera den markerade texten till klippbordet

&Ctrl;&Shift;V Redigera Klistra in

  Klistrar in text från klippbordet på markörens plats

Redigera Markera alla

  Markerar all test i nuvarande fönster.

Redigera Kopiera indata till Alla flikar i aktuellt fönster

  Tillåter att inmatning från aktuell session samtidigt skickas till alla sessioner i aktuellt fönster

&Ctrl;&Shift;. Redigera Kopiera indata till Välj flikar...

  Tillåter att inmatning från aktuell session samtidigt skickas till sessioner utvalda av användaren

&Ctrl;&Shift;/ Redigera Kopiera indata till Ingen

  Sluta skicka inmatning från aktuell session till andra sessioner

&Ctrl;&Alt;S Redigera Byt namn på flik...

  Öppnar en dialogruta som låter dig byta namn på aktuell flik (mer information)

&Ctrl;&Alt;U Redigera Uppladdning med Zmodem...

  Visar en dialogruta för att välja en fil som ska laddas upp om nödvändig programvara är installerad

&Ctrl;&Shift;F Redigera Sök...

  Öppnar en sökrad längst ner i terminalfönstret

  Det här gör det möjligt att använda skiftlägeskänslig sökning, framåt och bakåt, och sökning med reguljära uttryck.

F3 Historik Sök igen

  Går till nästa sökobjekt

&Shift;F3 Historik Sök föregående

  Går till föregående sökobjekt

#### Menyn Visa

&Ctrl;( Visa Dela vy Dela vyn vänster/höger

  Delar alla flikar i vänster- och högervyer

  All utmatning i en vy dupliceras i den andra vyn.

&Ctrl;) Visa Dela vy Dela vyn topp/botten

  Delar alla flikar i topp- och bottenvyer

  All utmatning i en vy dupliceras i den andra vyn.

&Ctrl;&Shift;S Visa Dela vy Stäng aktiv

  Stänger aktiv vy

&Ctrl;&Shift;O Visa Dela vy Stäng övriga

  Stänger alla vyer som inte är aktiva

&Ctrl;&Shift;] Visa Dela vy Expandera vy

  Gör den aktuella vyn större

&Ctrl;&Shift;[ Visa Dela vyn Krymp vy

  Gör den aktuella vyn mindre

&Ctrl;&Shift;H Visa Koppla från vy

  Öppnar aktuell flik i ett separat fönster

  Att avsluta det föregående terminalfönstret påverkar inte det nyskapade fönstret.

&Ctrl;&Shift;I Visa Övervakare av tystnad

  Ändrar övervakning av aktuell flik för avsaknad av aktivitet

  Normalt visas en informationsikon på sessionens flik, efter 10 sekunder utan aktivitet. Typ av meddelanden kan ändras via Inställningar Anpassa underrättelser Tystnad i övervakad session.

&Ctrl;&Shift;A Visa Övervakare av aktivitet

  Ändrar övervakning av aktuell flik för aktivitet

  Vid någon aktivitet visas en informationsikon på sessionens flik. Typ av meddelanden kan ändras via Inställningar Anpassa underrättelser Aktivitet i övervakad session.

&Ctrl;+ Visa Öka teckenstorlek

  Ökar textens teckenstorlek

&Ctrl;- Visa Minska teckenstorlek

  Minskar textens teckenstorlek

Visa Teckenkodning

  Ställer in teckenkodningen

Visa Töm historik

  Tömmer texten i historiken

&Ctrl;&Shift;K Visa Töm historik och återställ

  Tömmer text i den aktuella fliken och historiken, samt återställer terminalen

#### Menyn Bokmärken

&Ctrl;&Shift;B Bokmärken Lägg till bokmärke

  Lägger till nuvarande plats

Bokmärken Skapa bokmärken för flikar som en katalog...

  Lägger till alla flikar i en bokmärkeskatalog

  En dialogruta visas för bokmärkeskatalogens namn.

Bokmärken Ny bokmärkeskatalog...

  Lägger till en ny katalog i bokmärkeslistan

  En dialogruta visas för bokmärkeskatalogens namn.

Bokmärken Redigera bokmärken

  Öppnar bokmärkeseditorn

  Du kan använda bokmärkeseditorn för att manuellt lägga till webbadresser. För närvarande accepterar Terminal följande:

  - ssh://användare@värddator:port

  - telnet://användare@värddator:port

#### Menyn Inställningar

Inställningar Redigera nuvarande profil...

  Öppnar en dialogruta för att anpassa den nuvarande profilen

Inställningar Byt profil

  Byter nuvarande profil mot en listad profil

Inställningar Hantera profiler...

  Öppnar en editor för att hantera profiler

&Ctrl;&Shift;M Inställningar Visa menyrad

  Ändrar menyradens synlighet

Inställningar Fullskärmsläge

  Ändrar att terminalen fyller hela skärmen

Inställningar Anpassa genvägar...

  Öppnar editorn av snabbtangentgenvägar

Inställningar Anpassa meddelanden...

  Öppnar editorn av underrättelsemeddelanden

Inställningar Anpassa &konsole;...

  Öppnar inställningseditorn i Terminal

#### Menyn Hjälp

&help.menu.documentation;

### Dialogruta för att byta namn på flik

Namnet på aktuell flik kan ändras med dialogrutan. Dialogrutan kan visas via menyn, genvägen &Ctrl;&Alt;S eller genom att dubbelklicka på fliken i flikraden. Ändringarna kan göras permanenta genom att redigera nuvarande profil.

Terminal ersätter följande platsmarkörer:

- %n : programnamn

- %d : arbetskatalog (kort)

- %D : arbetskatalog (lång)

- %w : fönsterrubrik inställd av skalet

- %# : sessionsnummer

- %u : användarnamn

Exempel:

- `%d : %n` med /usr/src som arbetskatalog och programmet bash körs visas usr/s : bash

- `%D : %n` med /usr/src som arbetskatalog och programmet top körs visas /usr/src : top

- `%w (%#)` med ~ som arbetskatalog och vim körs under den första fliken visas [No Name] (~) - VIM(1)

### Dialogruta för kopiera indata

Texten som matas in under en flik kan samtidigt skickas till andra flikar. Dialogrutan låter dig välja vilka flikar som tar emot inmatningen. Den nuvarande fliken kommer att vara grå och inaktiverad.

### Dialogrutan Justera historik

Alternativet för historikens storlek kan ändras i den här dialogrutan. Eventuella ändringar gäller bara för aktuell flik och sparas inte i profilen.

## Kommandoradsväljare

När Terminal startas från kommandoraden kan olika väljare anges för att ändra dess beteende.

`--help`

  Listar olika väljare.

`--profile` `fil`

  Starta Terminal med en angiven profil istället för standardprofilen.

`--list-profiles`

  Lista alla tillgängliga profiler.

`--list-profile-properties`

  Lista alla möjliga egenskaper med namn och typ. Se väljaren `-p`.

  För mer information, besök gärna &konsole; API Reference.

`--background-mode`

  Starta terminalen i bakgrunden och lägg den överst när tangenten &Ctrl;&Shift;F12 (förval) trycks.

`--new-tab`

  Skapa en ny flik i ett befintligt fönster istället för att skapa ett nytt fönster.

`--tabs-from-file` `fil`

  Skapa flikar som anges i den angivna flikinställningsfilen.

  Filen har en flik per rad med följande format:

  title: ANGE EN TITEL ;; command: ANGE ETT KOMMANDO ;; workdir: ANGE EN KATALOG

`--workdir` `katalog`

  Öppna med `katalog` som ursprunglig arbetskatalog.

`--show-menubar`

  Visa menyraden, och överskrid standardbeteendet.

`--hide-menubar`

  Dölj menyraden, och överskrid standardbeteendet.

`--show-tabbar`

  Visa flikraden, och överskrid standardbeteendet.

`--hide-tabbar`

  Dölj fllikraden, och överskrid standardbeteendet.

`--notransparency`

  Inaktivera genomskinliga bakgrunder även om systemet stöder dem.

`--hold, --noclose`

  Stäng inte ursprunglig session automatiskt när den avslutas.

`-e` `egenskap=värde`

  Ändra värdet på en profilegenskap.

`-e` `kommando`

  Kör `kommando` istället för det vanliga skalet.

  Väljaren tar alla följande argument som skickas till Terminal, och kör det som `kommando`. Så väljaren ska alltid vara den sista.

`--nofork`

  Kör inte i bakgrunden. Det behövs ofta för att efterlikna andra terminalemulatorer.

Terminal accepterar också generella &Qt;- och &kde;-väljare:

`--help-qt`

  Visa väljare specifika för &Qt;

Följande &Qt;-väljare har ingen effekt i Terminal:

`--fn`, `--font` `teckensnittsnamn`

  Definierar programmets teckensnitt

`--bg`, `--background` `färg`

  Ställer in förvald bakgrundsfärg

`--fg`, `--foreground` `färg`

  Ställer in förvald förgrundsfärg

`--btn`, `--button` `färg`

  Ställer in förvald knappfärg

`--help-kde`

  Visa väljare specifika för &kde;

`--help-all`

  Visa alla väljare

`--author`

  Visa information om upphovsmän

`-v,--version`

  Visa versionsinformation

`--license`

  Visa licensinformation

## Skriva skript för Terminal

För &kde; 4 har det gamla &DCOP; ersatts av &DBus;. Terminal stöder en mängd metoder som kan användas med &DBus;.

Det finns två sätt att använda &DBus; gränssnittet: &Qt;:s grafiska gränssnitt qdbusviewer och kommandoradprogrammet qdbus.

Exempel:

- &percnt; `qdbus` visar alla tillgängliga tjänster.

- &percnt; `qdbus` `org.kde.konsole` visar &DBus; gränssnittet i Terminal.

- &percnt; `qdbus` `org.kde.konsole /Windows/1` visar metoder för att styra fönster 1.

  /Konsole användes tidigare för att styra det första fönstret, vilket var ett konstruktionsmisstag. Använd det inte för detta syfte längre, och fundera på att uppdatera befintliga skript.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` visar metoder för att styra session 1.

Om du startar Terminal från en annan terminal kanske du måste ändra `org.kde.konsole` till `org.kde.konsole-`pidof -s konsole``.

För mer information, besök gärna &DBus; tutorial.

## Visste du att, vanliga problem med mera

### Visste du att?

- Att trycka på &Ctrl; medan text markeras gör att radslut ändras till mellanslag när texten klistras in.

- Att trycka på &Ctrl;&Alt;-tangenterna medan text markeras kommer att markera kolumner.

- Kombinationen &Ctrl;hjul zoomar textstorleken, som i Konqueror och Firefox.

- När ett program utvärderar någon av musknapparna, är det möjligt att få den sammanhangsberoende menyn att visas genom att trycka på skifttangenten.

- Genvägen &Ctrl;&Shift;F10 aktiverar menyn.

- Tangenterna &Shift;Insert infogar klippbordets innehåll.

- Att dubbelklicka markerar ett helt ord. Genom att fortsätta hålla nere musknappen och flytta musen utökas markeringen.

- Att trippelklicka markerar en hel rad. Genom att fortsätta hålla nere musknappen och flytta musen utökas markeringen.

- Det finns en dold funktion för formateringen "%d" i fliknamnet. Du kan tala om för Terminal att förkorta ett katalognamn till dess första tecken. Exempelvis kan "/söväg/till/konsole/src" förkortas till "konsole/s". Om du vill aktivera och hantera denna dolda funktion, öppna `~/.kde4/share/config/konsolerc` och lägg till följande rader:

      [ProcessInfo]
      CommonDirNames=namn1,namn2,namn3...

  Om du använder Yakuake, ska du redigera `~/.kde4/share/config/yakuakerc` istället.

### Vanliga problem

- Normalt kör terminalen i bakgrunden när den startas från en terminal. Använd `--nofork` för att tvinga den att köra i förgrunden.

  Det behövs för att vissa skript och kommandon ska fungera som förväntat:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- Vissa teckensnitt kanske inte är tillgängliga för användning i Terminal, även om de är tillgängliga i andra program. Det betyder inte att det finns ett fel i Terminal. Terminal kräver teckensnitt med fast breddsteg för att tillhandahålla det bästa visuella resultatet, alltså begär programmet att &Qt; bara ska lista teckensnitt med fast breddsteg.

  Om du är säker på att ett teckensnitt har fast breddsteg men inte är tillgängligt i Terminal, rapportera gärna problemet till &Qt;.

- I KDE3 hade varje flik sin egen processidentifierare. I KDE4 använder dock alla flikarna samma processidentifierare. Det får sidoeffekten att om processerna under en flik har problem kan alla andra flikar också råka ut för problem.

  Det märks mest när ett kommando som ansluter till en extern enhet eller system har problem (ssh, nfs).

- Terminal behandlar väljare efter väljaren `-e` som ett kommando och kör det direkt, istället för att tolka och möjligtvis dela upp det i delkommandon att köra. Det skiljer sig från xterm.

  - `konsole -e "kommando1 ; kommando2"` fungerar inte

  - `konsole -e $SHELL -c "kommando1 ; kommando2"` fungerar

- Terminal tillhandahåller inte ett bekvämt sätt att köra inloggningsskal, eftersom utvecklare inte tycker om idén att köra inloggningsskal i en terminalemulator.

  Användare kan naturligtvis ändå köra inloggningsskal i Terminal om de verkligen behöver göra det. Redigera profilen som används och ändra dess kommando till formen som explicit startar ett inloggningsskal, såsom "`bash -l`" och "`zsh -l`".

- Väljaren `--new-tab` fungerar ibland underligt. Den kan skapa nya fönster, eller kan skapa en ny flik i ett annat befintligt Terminal-fönster istället för det nuvarande Terminal-fönstret.

  Beteendet verkar underligt, men är inte nödvändigtvis fel. Väljaren `--new-tab` försöker återanvända befintliga Terminal-fönster, men inte alla Terminal-fönster är återanvändbara. Alla Terminal-fönster som har öppnats via Kör program är återanvändbara, medan de flesta Terminal-fönster som öppnats från kommandoraden inte är det.

## Tack till och Copyright

&konsole; underhålls för närvarande av &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

&konsole; underhölls tidigare av &Robert.Knight; &Robert.Knight.mail; och &Waldo.Bastian; &Waldo.Bastian.mail;

Programmet &konsole; Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Det här dokumentet skrevs ursprungligen av &Jonathan.Singer; &Jonathan.Singer.mail;

Det här dokumentet uppdaterades för &kde; 4.x av &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Det här dokumentet uppdaterades för &kde; 3.4 av &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Överfört till DocBook SGML av &Mike.McBride; och &Lauri.Watts;

Översättning Stefan Asserhäll stefan.asserhall@comhem.se

&underFDL; &underGPL;

## Länkar

För mer information besök gärna följande webbplatser:

- &konsole;s hemsida på &kde;:s användarbas

- &konsole;s hemsida

- &konsole;s e-postlista

- &kde; på FreeBSD

- &kde; på &Solaris;

&documentation.index;